Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(60)

Side by Side Diff: go-back-with-backspace/build-zip.sh

Issue 2351743003: Inject automatically on install etc., add mime types, and fix nits. (Closed)
Patch Set: Review responses Created 4 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « go-back-with-backspace/background.js ('k') | go-back-with-backspace/content_script.js » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # Zip the files needed for this extension, excluding screenshots, promotional 2 # Zip the files needed for this extension, excluding screenshots, promotional
3 # images, and backup files. 3 # images, and backup files.
4 4
5 # Constants 5 # Constants
6 readonly ZIP_FILE='go-back-with-backspace.zip' 6 readonly ZIP_FILE='go-back-with-backspace.zip'
7 # The individual files within directories are listed so an error will be 7 # The individual files within directories are listed so an error will be
8 # raised if one is missing. 8 # raised if one is missing.
9 declare -ar ZIP_CONTENTS=(LICENSE 9 declare -ar ZIP_CONTENTS=(LICENSE
10 _locales/ 10 _locales/
11 background.js 11 background.js
12 content_script.js 12 content_script.js
13 icons/ 13 icons/
14 icons/icon16.png 14 icons/icon16.png
15 icons/icon19.png 15 icons/icon19.png
16 icons/icon32.png 16 icons/icon32.png
17 icons/icon38.png 17 icons/icon38.png
18 icons/icon48.png 18 icons/icon48.png
19 icons/icon128.png 19 icons/icon128.png
20 is_editable.js 20 is_editable.js
21 manifest.json 21 manifest.json
22 pages/ 22 pages/
23 pages/common.js 23 pages/common.js
24 pages/installed.css
25 pages/installed.html
26 pages/installed.js
27 pages/options.css 24 pages/options.css
28 pages/options.html 25 pages/options.html
29 pages/options.js 26 pages/options.js
30 pages/popup.css 27 pages/popup.css
31 pages/popup.html 28 pages/popup.html
32 pages/popup.js 29 pages/popup.js
33 readme.txt) 30 readme.txt)
34 31
35 # Remove backup files. 32 # Remove backup files.
36 rm -f $(find . -name \*~ -or -name \#\*\#) 33 rm -f $(find . -name \*~ -or -name \#\*\#)
37 34
38 if ! mkdir -p icons; then 35 if ! mkdir -p icons; then
39 echo "Error creating icons/ directory" >&2 36 echo "Error creating icons/ directory" >&2
40 exit 1 37 exit 1
41 fi 38 fi
42 39
43 if ! cp assets/icon*.png icons/; then 40 if ! cp assets/icon*.png icons/; then
44 echo "No icon images found in icons/" >&2 41 echo "No icon images found in icons/" >&2
45 exit 2 42 exit 2
46 fi 43 fi
47 44
48 rm -f "${ZIP_FILE}" 45 rm -f "${ZIP_FILE}"
49 if ! zip -r --quiet --must-match "${ZIP_FILE}" "${ZIP_CONTENTS[@]}"; then 46 if ! zip -r --quiet --must-match "${ZIP_FILE}" "${ZIP_CONTENTS[@]}"; then
50 echo "Error zipping required files (${ZIP_CONTENTS[@]})" >&2 47 echo "Error zipping required files (${ZIP_CONTENTS[@]})" >&2
51 exit 3 48 exit 3
52 fi 49 fi
OLDNEW
« no previous file with comments | « go-back-with-backspace/background.js ('k') | go-back-with-backspace/content_script.js » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698